#!/bin/sh

[ -z "$ROOT" ] && ROOT=/www

model="701"
dir="$ROOT/models/$model"

mkdir -p $ROOT/config
mkdir -p $ROOT/script

# Override default config
cp -rf $dir/etc/* /etc/
chmod +x /etc/profile

# Override code
cp -rf $dir/root/* $ROOT/
chmod -R +x $ROOT/script

# Disable unused service
/etc/init.d/samba stop
/etc/init.d/samba disable

/etc/init.d/qos stop
/etc/init.d/qos disable

/etc/init.d/monit stop
/etc/init.d/monit disable
