#!/bin/sh

[ -z "$ROOT" ] && ROOT=/www
CONFIG=$ROOT/config
SCRIPT=$ROOT/script

source $CONFIG/ap.conf
source $SCRIPT/utils/wifi.sh

ssids=`seq 1 "$NO_SSID"`
for ssid in $ssids ; do
  [ ! `isSsidEnabled "$ssid"` ] && continue

  uci set "wireless.ssid${ssid}.wmm"=1
done
