#!/bin/sh

getWirelessInfId() {
  echo ""
}

getWirelessInf() {
  local ssid="$1"
  echo "wlan${ssid}"
}

getStationList() {
  local ifName=`getWirelessInf $2`

  iw $ifName station dump | grep Station | awk '{print $2}' | tr "\n" ";"
}

getSsidName() {
  local ifName=`getWirelessInf $2`
  iw dev $ifName info | grep ssid | awk -F'ssid ' '{print $2}'
}