#!/bin/sh

[ -z "$ROOT" ] && ROOT=/www
CONFIG=$ROOT/config

[ -z "$CLOUD" ] && source $CONFIG/api.conf
model=`/www/script/model.sh`
[ "$model" == "501" ] && version=14.07 || version=12.09

cat > /etc/opkg.conf <<- EOM
src/gz packages http://$CLOUD/openwrt/$version
dest root /
dest ram /tmp
lists_dir ext /var/opkg-lists
option overlay_root /overlay
EOM
