local ssid = arg[1]
local ip = arg[2]

if ssid == nil or ip == nil then
  os.exit()
end

dofile "/www/web/wifi/wifi-handler.lua"

local env = {
  SERVER_PORT = 8079 + tonumber(ssid),
  REMOTE_ADDR = ip
}

if not isLoggedIn(env) and isAutoLoginEnabled(env) then
  local res = callGetCurrentSession(env)
  if res.session ~= nil then
    log({ip = ip, message = "has current session"})
    _bypass(env, res)
  end
end
