#!/bin/sh
[ -z "$ROOT" ] && ROOT=/www
CONFIG=$ROOT/config

source $CONFIG/api.conf
[ -z "$OPKG_REPO" ] && OPKG_REPO=https://openwrt.meganet.com.vn

release=`cat /etc/openwrt_release  | grep DISTRIB_RELEASE | cut -d "'" -f 2`
target=`cat /etc/openwrt_release  | grep DISTRIB_TARGET | cut -d "'" -f 2`
arch=`cat /etc/openwrt_release  | grep DISTRIB_ARCH | cut -d "'" -f 2`

cat > /etc/opkg/distfeeds.conf <<- EOM
src/gz core $OPKG_REPO/$release/targets/$target/packages
src/gz base $OPKG_REPO/$release/packages/$arch/base
src/gz packages $OPKG_REPO/$release/packages/$arch/packages
src/gz routing $OPKG_REPO/$release/packages/$arch/routing
EOM
